package cn.com.qmth.examcloud.bridge.modules.cloudmarking.bean;

import java.util.Map;

/**
 * @Description 从题库拷过来的代码，用于处理导出阅卷数据 ,见ExamRecordQuestionsCloudServiceProvider
 * @Author lideyin
 * @Date 2020/3/2 18:35
 * @Version 1.0
 */
public class Block {
    /**
     * text:文字
     * image：图片
     * audio：音频
     * video：视频
     */
    private String type;
    /**
     * 资源相对路径
     */
    private String value;
    /**
     * 播放次数
     */
    private Integer playTime;

    private Map<String, Object> param;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Map<String, Object> getParam() {
        return param;
    }

    public void setParam(Map<String, Object> param) {
        this.param = param;
    }

    public Integer getPlayTime() {
        return playTime;
    }

    public void setPlayTime(Integer playTime) {
        this.playTime = playTime;
    }

}

